TEC_Stat_Lookup = {
	["EMPTY_SOCKET_BLUE"] = "Blue Gem",
	["EMPTY_SOCKET_COGWHEEL"] = "Cogwheel Gem",
	["EMPTY_SOCKET_META"] = "Meta Gem",
	["EMPTY_SOCKET_PRISMATIC"] = "Prismatic Gem",
	["EMPTY_SOCKET_RED"] = "Red Gem",
	["EMPTY_SOCKET_YELLOW"] = "Yellow Gem",
	["ITEM_MOD_AGILITY_SHORT"] = "Agility",
	["ITEM_MOD_ARCANE_RESISTANCE_SHORT"] = "Arcane Res",
	["ITEM_MOD_ATTACK_POWER_SHORT"] = "AP",
	["ITEM_MOD_CRIT_RATING_SHORT"] = "Crit Rating",
	["ITEM_MOD_DAMAGE_PER_SECOND_SHORT"] = "DPS",
	["ITEM_MOD_DODGE_RATING_SHORT"] = "Dodge",
	["ITEM_MOD_EXPERTISE_RATING_SHORT"] = "Expertise",
	["ITEM_MOD_FIRE_RESISTANCE_SHORT"] = "Fire Res",
	["ITEM_MOD_FROST_RESISTANCE_SHORT"] = "Frost Res",
	["ITEM_MOD_HASTE_RATING_SHORT"] = "Haste",
	["ITEM_MOD_HIT_RATING_SHORT"] = "Hit Rating",
	["ITEM_MOD_INTELLECT_SHORT"] = "Intelligence",
	["ITEM_MOD_MASTERY_RATING_SHORT"] = "Mastery",
	["ITEM_MOD_NATURE_RESISTANCE_SHORT"] = "Nature Res",
	["ITEM_MOD_PARRY_RATING_SHORT"] = "Parry",
	["ITEM_MOD_PVP_POWER_SHORT"] = "PvP Power",
	["ITEM_MOD_RESILIENCE_RATING_SHORT"] = "Resilience",
	["ITEM_MOD_SHADOW_RESISTANCE_SHORT"] = "Shadow Res",
	["ITEM_MOD_SPELL_PENETRATION_SHORT"] = "Spell Pen",
	["ITEM_MOD_SPELL_POWER_SHORT"] = "Spellpower",
	["ITEM_MOD_SPIRIT_SHORT"] = "Spirit",
	["ITEM_MOD_STAMINA_SHORT"] = "Stamina",
	["ITEM_MOD_STRENGTH_SHORT"] = "Strength",
	["RESISTANCE0_NAME"] = "Armor",
	["RESISTANCE1_NAME"] = "Holy Res",
	["RESISTANCE2_NAME"] = "Fire Res",
	["RESISTANCE3_NAME"] = "Nature Res",
	["RESISTANCE4_NAME"] = "Frost Res",
	["RESISTANCE5_NAME"] = "Shadow Res",
	["RESISTANCE6_NAME"] = "Arcane Res",
};

TEC_Slot_Lookup = {
	["INVTYPE_HEAD"] = { text = "Head", showType = true, ids = { 1 } },
	["INVTYPE_NECK"] = { text = "Neck", showType = false, ids = { 2 } },
	["INVTYPE_SHOULDER"] = { text = "Shoulder", showType = true, ids = { 3 } },
	-- ignore shirts -- ["INVTYPE_BODY"] = { text = "Shirt", showType = false, ids = { 4 } },
	["INVTYPE_CHEST"] = { text = "Chest", showType = true, ids = { 5 } },
	["INVTYPE_ROBE"] = { text = "Chest", showType = true, ids = { 5 } },
	["INVTYPE_WAIST"] = { text = "Waist", showType = true, ids = { 6 } },
	["INVTYPE_LEGS"] = { text = "Legs", showType = true, ids = { 7 } },
	["INVTYPE_FEET"] = { text = "Feet", showType = true, ids = { 8 } },
	["INVTYPE_WRIST"] = { text = "Wrist", showType = true, ids = { 9 } },
	["INVTYPE_HAND"] = { text = "Hands", showType = true, ids = { 10 } },
	["INVTYPE_FINGER"] = { text = "Finger", showType = false, ids = { 11, 12 } },
	["INVTYPE_TRINKET"] = { text = "Trinket", showType = false, ids = { 13,	14 } },
	["INVTYPE_CLOAK"] = { text = "Back", showType = false, ids = { 15 } },
	["INVTYPE_WEAPON"] = { text = "1H", showType = true, ids = { 16, 17 } },
	["INVTYPE_SHIELD"] = { text = "Off Hand", showType = true, ids = { 17 } },
	["INVTYPE_2HWEAPON"] = { text = "2H", showType = true, ids = { 16, 17 } },
	["INVTYPE_WEAPONMAINHAND"] = { text = "Main Hand", showType = true, ids = { 16 } },
	["INVTYPE_WEAPONOFFHAND"] =	{ text = "Off Hand", showType = true, ids = { 17 } },
	["INVTYPE_HOLDABLE"] = { text = "Off Hand", showType = false, ids = { 17 } },
	["INVTYPE_RANGED"] = { text = "Ranged", showType = true, ids = { 16, 17 } },
	["INVTYPE_RANGEDRIGHT"] = { text = "Ranged", showType = true, ids = { 16,	17 } },
	-- ignore tabards -- ["INVTYPE_TABARD"] = { text = "Tabard", showType = false, ids = { 19 } }
};

TEC_ItemSubclass_Lookup = {
	["Cloth"] = "Cloth",
	["Leather"] = "Leather",
	["Mail"] = "Mail",
	["Plate"] = "Plate",
	["Bows"] = "Bows",
	["Crossbows"] = "Crossbows",
	["Daggers"] = "Daggers",
	["Fist Weapons"] = "Fists",
	["Guns"] = "Guns",
	["Miscellaneous"] = "Other",
	["One-Handed Axes"] = "Axes",
	["One-Handed Maces"] = "Maces",
	["One-Handed Swords"] = "Swords",
	["Polearms"] = "Polearms",
	["Shields"] = "Shields",
	["Staves"] = "Staves",
	["Two-Handed Axes"] = "Axes",
	["Two-Handed Maces"] = "Maces",
	["Two-Handed Swords"] = "Swords",
	["Wands"] = "Wands",
};

TEC_ClassColor_Lookup = {
	["Death Knight"] = "ffc41f3b",
	["Druid"] = "ffff7d0a",
	["Hunter"] = "ffabd473",
	["Mage"] = "ff69ccf0",
	["Monk"] = "ff00ff96",
	["Paladin"] = "fff58cba",
	["Priest"] = "ffffffff",
	["Rogue"] = "fffff569",
	["Shaman"] = "ff0070de",
	["Warlock"] = "ff9482c9",
	["Warrior"] = "ffc79c6e",
};

TEC_QualityColor_Lookup = {
	[0] = "ff9d9d9d", -- poor
	[1] = "ffffffff", -- commoon
	[2] = "ff1eff00", -- uncommon
	[3] = "ff0070ff", -- rare
	[4] = "ffa335ee", -- epic
	[5] = "ffff8000", -- legendary
	[6] = "ffe6cc80", -- artifact
	[7] = "ffe6cc80", -- heirloom
};

TEC_Class_Lookup = {
	["Death Knight"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 1, ["Plate"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1, ["Two-Handed Swords"] = 1 },
	},
	["Druid"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["Fist Weapons"] = 1, ["One-Handed Maces"] = 1, ["Polearms"] = 1, ["Staves"] = 1, ["Two-Handed Maces"] = 1 },
	},
	["Hunter"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 50, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Bows"] = 1, ["Crossbows"] = 1, ["Fist Weapons"] = 1, ["Guns"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Staves"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Swords"] = 1 },
	},
	["Mage"] = {
		["Armor"] = { ["Cloth"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Wands"] = 1, ["Daggers"] = 1, ["One-Handed Swords"] = 1, ["Staves"] = 1 },
	},
	["Monk"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Fist Weapons"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Staves"] = 1 },
	},
	["Paladin"] = {
		["Armor"] = { ["Cloth"] = 1, ["Mail"] = 1, ["Leather"] = 1, ["Plate"] = 50, ["Shields"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1, ["Two-Handed Swords"] = 1 },
	},
	["Priest"] = {
		["Armor"] = { ["Cloth"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["One-Handed Maces"] = 1, ["Staves"] = 1, ["Wands"] = 1 },
	},
	["Rogue"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Bows"] = 1, ["Crossbows"] = 1, ["Daggers"] = 1, ["Fist Weapons"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1 },
	},
	["Shaman"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 50, ["Shields"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["Fist Weapons"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["Staves"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1 },
	},
	["Warlock"] = {
		["Armor"] = { ["Cloth"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Daggers"] = 1, ["One-Handed Swords"] = 1, ["Staves"] = 1, ["Wands"] = 1 },
	},
	["Warrior"] = {
		["Armor"] = { ["Cloth"] = 1, ["Leather"] = 1, ["Mail"] = 1, ["Plate"] = 50, ["Shields"] = 1, ["Miscellaneous"] = 1 },
		["Weapon"] = { ["Bows"] = 1, ["Crossbows"] = 1, ["Daggers"] = 1, ["Fist Weapons"] = 1, ["Guns"] = 1, ["One-Handed Axes"] = 1, ["One-Handed Maces"] = 1, ["One-Handed Swords"] = 1, ["Polearms"] = 1, ["Staves"] = 1, ["Two-Handed Axes"] = 1, ["Two-Handed Maces"] = 1, ["Two-Handed Swords"] = 1 },
	},
};